rm(list=ls())

require(tm)

#Lendo os arquivos do diretorio para criar o Corpus
arquivos <- DirSource(directory = "arquivos/",encoding ="utf8" )
arquivos

#Carregando os arquivos e criando um Corpus
corpus <- VCorpus(x=arquivos)
corpus

#Summary dos dados
summary(corpus)

#Removendo tudo que está entre < >
removeMarcador <- function(texto){
  
  texto <- gsub(pattern="<[^>]*>",replacement='',x=texto)
  
  #return(unlist(texto))
  return(PlainTextDocument(texto))
  
}

class(corpus[[2]])

corpus[[2]]
corpus <- tm_map(corpus,removeMarcador)
corpus[[2]]

#Elimimando os espaços em branco extras
corpus[[2]]
corpus <- tm_map(corpus,stripWhitespace)
corpus[[2]]

#Propriedades do corpus
length(corpus)

show(corpus)

inspect(corpus)

#Alterar tudo para minusculo
corpus[[2]]
corpus <- tm_map(corpus, tolower)
corpus[[2]]

#Removendo stopwords
stopwords("english")

lista <- stopwords("portuguese")
lista 

class(lista)

lista <- readLines("lista de stopwords Portugues.txt",
                   encoding = "latin1")
lista 

class(lista)

#usando o padrao
corpus[[2]]
#corpus <- tm_map(corpus,removeWords,stopwords("portuguese"))
#ou
corpus <- tm_map(corpus,removeWords,lista)
corpus[[2]]

#Removendo pontuacao
corpus<- tm_map(corpus,removePunctuation)
corpus[[2]]

#Removendo espaços em brancos que podem aparecer
corpus <- tm_map(corpus,stripWhitespace)
corpus[[2]]

#Corpus preparado

#Matriz de frequencia
corpus <- Corpus(VectorSource(corpus))

matriz_termos <- DocumentTermMatrix(corpus)
matriz_termos

inspect(matriz_termos[1:3,1:5])

#Temos com frequencia de 5
lista <- findFreqTerms(matriz_termos, lowfreq = 10, highfreq = 15)
lista

#Associacao
findAssocs(matriz_termos, "objetivo", 0.8)

#Removendo os temos com índice de sparsa 
inspect(removeSparseTerms(matriz_termos, 0.6))

class(matriz_termos)

#https://onertipaday.blogspot.com.br/2011/07/word-cloud-in-r.html
require(wordcloud)
require(XML)
require(tm)
require(wordcloud)
require(RColorBrewer)

head(inspect(matriz_termos))

matriz <- TermDocumentMatrix(corpus)

matriz <- as.matrix(matriz)

palavra <- sort(rowSums(matriz),decreasing=TRUE)

palavra <- data.frame(word = names(palavra),freq=ap.v)

table(palavra$freq)

pal2 <- brewer.pal(8,"Dark2")

#png("wordcloud_packages.png", width=1280,height=800)

wordcloud(palavra$word,
          palavra$freq, 
          scale=c(8,.2),
          min.freq=10,
          max.words=Inf, 
          random.order=FALSE, 
          rot.per=.15, 
          colors=pal2)

#dev.off()

