#limpando a memoria do R
rm(list=ls())

#bibliotecas utilizadas
require(httr)
require(XML)

#http://propp.uesc.br/sisres/visualizar_resumo?resumo_id=2960

#criando o vetor que armazenará os textos
textos = NULL

#obtendo os textos do numero 2960 ate 3849
for(i in 2960:3849){

  #criando o endereço
  endereco = paste("http://propp.uesc.br/sisres/visualizar_resumo?resumo_id=",i,sep = "")
  endereco
  
  #obtendo a pagina do resumo
  documento = htmlParse(GET(endereco, user_agent("Mozilla")),encoding = 'utf8')
  documento
  
  #transformando a pagina de html para texto
  documento = as(documento,'character')
  documento
  
  #Procurando a posicao do texto desejado
  posicao = regexpr("<div id=\\\"resumo\\\">(.*?)</div>",documento)
  
  #Coletando o texto desejado na pagina
  texto = regmatches(documento,posicao)
  texto
  
  #Removendo tags html, \n e espaço em branco maiores que 2
  txt = gsub("(<[^>]*>|\n|[ ]{2,})","",texto)
  txt

  #Concatenando os textos
  textos = c(textos,txt)
  
  #Imprimindo o numero do texto
  mensagem = paste('Processando texto',i,'de',889)
  
  print(mensagem)
  
}

#textos coletados
textos[1]

#verificando a quantidade de textos obtidos
length(textos)

#textos coletados
edit(textos)

#gravando os arquivos

#gravando os arquivos
for(i in 1:length(textos)){
  
  #criando o nome do arquivo para gravacao
  nome = paste("arquivos/texto",i,".txt",sep = "")
  
  #gravando o arquivo
  write(x = textos[i],file = nome)
  
}
