#limpando a memoria do R
rm(list=ls())

#bibliotecas utilizadas
require(httr)
require(XML)

#Primeiro arquivo
#http://propp.uesc.br/sicanais/resumos/20152257.html

#Ultimo aruqivo
#http://propp.uesc.br/sicanais/resumos/20152950.html

#criando o vetor que armazenará os textos
textos = NULL

#obtendo os textos do numero 2257 ate 2950
for(i in 2257:2950){
#for(i in 2257:2260){
  #i=2257
  #criando o endereço
  endereco = paste("http://propp.uesc.br/sicanais/resumos/2015",i,".html",sep="")
  endereco
  
  #obtendo a pagina do resumo
  documento = htmlParse(GET(endereco, user_agent("Mozilla")),encoding = 'utf8')
  documento
  
  #transformando a pagina de html para texto
  documento = as(documento,'character')
  documento

  #Procurando a posicao do texto desejado
  posicao = regexpr("<p style=\\\"text-align: justify;\\\">(.*?)</p>",documento)
  posicao
  
  #Coletando o texto desejado na pagina
  texto = regmatches(documento,posicao)
  texto
  
  #Removendo tags html, \n e espaço em branco maiores que 2
  txt = gsub("(<[^>]*>|\n|[ ]{2,})","",texto)
  txt

  #Concatenando os textos
  textos = c(textos,txt)
  
  #Imprimindo o numero do texto
  print(i)
  
}

#textos coletados
textos

#verificando a quantidade de textos obtidos
length(textos)

#textos coletados
#edit(textos)

#gravando os arquivos
for(i in 1:length(textos)){
  #i=1
  nome = paste("arquivos/texto",i,".txt",sep = "")
  
  write(x = textos[i],file = nome)
    
}

