#Exemplo de crawler
#limpando a memoria do R
rm(list=ls())

#bibliotecas utilizadas
require(httr)
require(XML)

#endereco
endereco = "http://www.anac.gov.br/assuntos/dados-e-estatisticas/base-historica"
endereco

#abrindo o endereco nao browser
browseURL(endereco)

#obtendo a pagina do resumo
documento = htmlParse(GET(endereco, user_agent("Mozilla")),encoding = 'utf8')
documento

#transformando a pagina de html para texto
documento = as(documento,'character')
documento

require(stringr)

#Obtendo todos os links da pagina
enderecos = str_match_all(documento, "href=\"(.*?).(zip|csv)\"")
enderecos

#Verificando a classe do objeto enderecos
class(enderecos)

#Analisando a estrutura do objeto enderecos
str(enderecos)

#Construindo os nomes dos arquivos
enderecos = paste(enderecos[[1]][,2],'.',enderecos[[1]][,3],sep='')
enderecos

#Exemplo do primeiro nome
enderecos[1]

#Executando o download dos arquivos

limite = length(enderecos)
limite=10
for(i in 1:limite){
  
  #Nome do arquivo a ser salvo
  nome = unlist(str_split(enderecos[i],'/'))
  
  nome = paste('arquivos',nome[length(nome)],sep='/')
  
  #Realizando o download do arquivo no diretorio arquivos/
  print(paste('Processando',i,'de',limite,':',enderecos[i],sep=' '))  
  
  download.file(enderecos[i],nome,mode='wb')
  
}